{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/document/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/document/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_document_edit', {'buildingUnitId': buildingUnit.getId(), 'documentId': document.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
        {% if is_granted('edit', buildingUnit) == true %}
            {{ form_widget(documentDeleteForm.delete, {'label': 'LÖSCHEN', 'id': documentDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card p-3 mb-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Das Dokument wird unwiderruflich gelöscht.
            </h1>
            <p>
                Um das Dokument endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">dokument_{{ document.getId() }}</span>
            </p>
            {{ form_start(documentDeleteForm, {'attr': {'id': documentDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/property/delete_form.html.twig' with {'form': documentDeleteForm} only %}
            {{ form_row(documentDeleteForm._token) }}
            {{ form_end(documentDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card p-3 mb-4">
            <div class="row">
                <div class="col-md-4">
                    <div class="d-flex align-items-start flex-grow-1">
                        <a href="{{ path('file_download', {'fileUuid': document.getFile().getUuid()}) }}">
                            <i class="material-icons display-1">cloud_download</i>
                        </a>
                    </div>
                    <p><i>Hochgeladen am: {{ document.getCreatedAt().format('d.m.Y H:i') }}</i></p>
                </div>
            </div>
            {% include 'property_vacancy_management/form/property/document_form.html.twig' with {'form': documentForm} only %}
        </div>
    </div>
{% endblock %}
